﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head><title>Configuring Actionable Emails for Request Approvals</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Configuring Actionable Emails for Request Approvals</h1>
        <p>Actionable emails allow approvers to take Approve or Reject actions directly from within email task notifications.&#160; When you configure actionable emails in Saviynt Identity Governance and Administration (IGA), the approvers receive email notifications where they can send a reply by directly approving or rejecting the requests from the email&#160;without using the&#160;<strong>ARS</strong> user interface.&#160;Depending on the action performed from the actionable email,&#160;tasks are created in IGA. </p>
        <p>Actionable email provides advantages such as improved user engagement, ease of use, and increased organizational productivity.</p>
        <p>Configuring actionable emails is a step-by-step process which includes:</p>
        <ol>
            <li>
                <p>Configuring the SMTP settings</p>
            </li>
            <li>
                <p>Configuring the Outbox Mail Settings</p>
            </li>
            <li>
                <p>Setting up&#160;an email template</p>
            </li>
            <li>
                <p>Configuring the body of the actionable email&#160;</p>
            </li>
        </ol>
        <h3>Configuring SMTP Settings</h3>
        <p class="auto-cursor-target">&#160;Configure the SMTP Settings from&#160;<strong>Admin &gt; Configurations &gt; SMTP</strong>.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The SMTP settings allow you to specify the settings for sending an email to a user.Ensure that you specify the settings based&#160;on the email service (for example, Gmail or O365) used for sending the email.&#160;For more information, see&#160;SMTP Settings.</p>
        </div>
        <h3>Configuring Outbox Mail Settings</h3>
        <p>To configure the incoming email settings, click the <strong>Out Box</strong> button&#160;from <strong>Admin &gt; Configurations &gt; SMTP &gt; SMTP Mail Configuration</strong>.&#160;The <strong>OutBox Mail Set Up</strong> window is displayed.</p>
        <p>The Outbox mail settings are used primarily to receive actionable emails from users who have already taken actions in those emails. For example, if an approver has approved the actionable email, an email is sent to the configured outbox.&#160;For more information about configuring Outbox mail settings, see&#160;<MadCap:xref href="../Chapter06-Configuring-EIC/Outbox-Mail-Settings.htm">Outbox Mail Settings</MadCap:xref>.</p>
        <p>
            <img src="../Resources/Images/Configuring OutBox Mail Set Up window.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <div class="important">
                <p class="note">The type of Outbox can be IMAP or POP3.&#160;</p>
                <ul>
                    <li>
                        <p class="note">The POP3 settings scan the mailbox using POP3 protocol and once processed, users cannot mark mails as "read" or delete emails.</p>
                    </li>
                    <li>
                        <p class="note">The IMAP settings scan the mailbox using IMAP protocol and mark emails as "read", once processed. The IMAP settings process the unread mails and skip the read mails.</p>
                    </li>
                </ul>
                <p class="note">If you want to allow users to delete emails after processing, manually select the <strong>Delete email</strong> after processing the check box in the <b>OutBox Mail Set Up</b> window.</p>
            </div>
        </div>
        <h3>Setting up&#160;an Email Template</h3>
        <p>Configure an email template for the actionable email from&#160;<strong>Admin&gt;Configurations&gt;Email Templates</strong>. You can customize the content and subject of the&#160;email template as per your requirement.  &#160;For more information, see&#160;<MadCap:xref href="../Chapter06-Configuring-EIC/Creating-and-Managing-Email-Templates.htm">Creating and Managing Email Templates</MadCap:xref>.</p>
        <h3>Configuring the Body of the Actionable Email&#160;</h3>
        <p>You can embed the <strong>Approve</strong> or <strong>Reject</strong> action within the actionable email by configuring the body of the email.</p>
        <p>To configure the body of the actionable email, perform the following steps:</p>
        <ol>
            <li class="auto-cursor-target">
                <p>Add an HTML tag to display the <strong>Approve</strong> or <strong>Reject</strong>&#160;text in the body of actionable email.</p>
            </li>
            <li class="auto-cursor-target">
                <p>Add a script to make the <strong>Approve</strong> or <strong>Reject</strong> text actionable. You can customize and perform necessary changes to the script as per your requirement.</p>
                <p>To enable and provide the <strong>APPROVE</strong>&#160;button in the actionable email, use the following code from the script:</p>
                <p>
                    <option class="filename-path">"subject=ARS_${request.id}_APPROVED_${request.uuid}"</option>
                </p>
                <p>Similarly, to enable and provide the <strong>REJECT</strong> button in the actionable email, use the following code from the script:</p>
                <p>
                    <option class="filename-path">subject=ARS_${request.id}_REJECT_${request.uuid}"</option>
                </p>
                <p>The following sample script shows how the actionable email can be customized as per your requirement:</p>
                <div class="table-wrap">
                    <table class="wrapped confluenceTable">
                        <colgroup>
                            <col />
                        </colgroup>
                        <tbody>
                            <tr>
                                <td style="text-align: left;" class="confluenceTd"><pre xml:space="preserve">&lt;p&gt;Dear ${assignee.firstname} ${assignee.lastname},&lt;br /&gt;&lt;br /&gt; You are receiving this email because you are either a Line Manager for ${user.firstname} ${user.lastname} or you are a designated approver for access to ${endpoints}.&lt;br /&gt;&lt;br /&gt; Access has been requested for ${user.firstname} ${user.lastname} to the application(s) and entitlements (roles) listed below. &lt;br /&gt;&lt;br /&gt; Your approval or Rejection of this access request is &lt;strong&gt;&lt;u&gt;required&lt;/u&gt;&lt;/strong&gt; before the request can move forward. Please consider whether this access is appropriate and Approve or Reject the request using one of the buttons below, or by logging in to &lt;a href="<a rel="nofollow">https://ssm.saviyntcloud.com/ECM"&gt;EIC&lt;/a</a>&gt;. &lt;br /&gt;&lt;br /&gt; Note: If no action is taken on this request, it will be escalated to your line manager for action after 3 days.&lt;br /&gt;&lt;br /&gt; Request ID: ${requestid}&lt;br /&gt; Request Type: ${requesttype}&lt;br /&gt;&lt;br /&gt;&lt;/p&gt;<br />&lt;p&gt;${entitlementshtmltablerows}&lt;/p&gt;<br />&lt;table border="1" cellspacing="0" cellpadding="0""&gt;<br />&lt;tbody&gt;<br />&lt;tr&gt;<br />&lt;th&gt;Application&lt;/th&gt;<br />&lt;th&gt;Entitlement(s)&lt;/th&gt;<br />&lt;th&gt;Description&lt;/th&gt;<br />&lt;th&gt;Glossary&lt;/th&gt;<br />&lt;/tr&gt;<br />&lt;/tbody&gt;<br />&lt;/table&gt;<br />&lt;p&gt;&lt;br /&gt;&lt;br /&gt; &lt;a style="font-size: 16px; font-family: HelveticaArialsans-serif; color: #ffffff; text-decoration: none; border-radius: 3px; -webkit-border-radius: 3px; -moz-border-radius: 3px; background-color: #009900; border-top: 12px solid #009900; border-bottom: 12px solid #009900; border-right: 18px solid #009900; border-left: 18px solid #009900; display: inline-block;" href="mailto:aaa@<a rel="nofollow">abc.com?subject=ARS_${request.id}_APPROVED_${request.uuid</a>}" target="_blank" rel="noopener"&gt;Approve&lt;/a&gt; OR &lt;a style="font-size: 16px; font-family: HelveticaArialsans-serif; color: #ffffff; text-decoration: none; border-radius: 3px; -webkit-border-radius: 3px; -moz-border-radius: 3px; background-color: #ff0000; border-top: 12px solid #FF0000; border-bottom: 12px solid #FF0000; border-right: 18px solid #FF0000; border-left: 18px solid #FF0000; display: inline-block;" href="mailto:aaa@<a rel="nofollow">abc.com?subject=ARS_${request.id}_REJECT_${request.uuid</a>}" target="_blank" rel="noopener"&gt;Reject&lt;/a&gt; &lt;br /&gt;&lt;br /&gt; If you would like to see more information about this request (status, additional information, Segregation of Duty checks), you can log-in to &lt;a href="<a rel="nofollow">https://ssm.saviyntcloud.com/ECM"&gt;EIC&lt;/a</a>&gt; and go to the "Request Approval" tile to approve or reject the request. &lt;br /&gt;&lt;br /&gt; If you need to approve or reject a portion of the requested access, you can do this through the "Request Approval" tile by searching on the Request ID number provided above.&lt;br /&gt;&lt;br /&gt; Regards,&lt;br /&gt; Enterprise Access Management &lt;br /&gt;&lt;br /&gt; Please do not reply to this e-mail as it is not monitored. If you have additional questions related to:&lt;/p&gt;<br />&lt;ul&gt;<br />&lt;li&gt;The APPLICATION, please e-mail your application support desk.&lt;/li&gt;<br />&lt;li&gt;The &lt;a title="Link: <a href="https://ssm.saviyntcloud.com/" class="external-link" rel="nofollow">https://ssm.saviyntcloud.com/</a>" href="<a href="https://ssm.saviyntcloud.com/" class="external-link" rel="nofollow">https://ssm.saviyntcloud.com/</a>" target="" rel=""&gt;EIC&lt;/a&gt; tool, please contact &lt;a title="Support Desk Email" href="mailto:aaa@<a href="http://abc.com" class="external-link" rel="nofollow">abc.com</a>" rel=""&gt;aaa@<a href="http://abc.com" class="external-link" rel="nofollow">abc.com</a>&lt;/a&gt;.&lt;/li&gt;<br />&lt;/ul&gt;</pre>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </li>
        </ol>
        <h2>Using Actionable Email in IGA</h2>
        <p class="auto-cursor-target">This section explains how you can utilize the actionable email in an approval task.</p>
        <ul>
            <li>
                <p>After configuring the actionable email, you can select this email in a request. For example, you can select the configured actionable email template as the notification mail for the required task from the list of email templates in a workflow. This is shown in the following figure:
			</p>
                <p>
                    <img src="../Resources/Images/Selecting the Actionable Email Template in a Workflow.png" />
                </p>
            </li>
            <li>
                <p class="auto-cursor-target">After selecting the&#160;actionable email, when you submit the&#160;request in IGA,&#160;the actionable email is sent to the approver of the request.&#160;The approver can either approve or reject the request by clicking the&#160;<strong>Approve</strong> or <strong>Reject </strong>button,&#160;directly from the actionable email.</p>
                <ul>
                    <li>
                        <p class="auto-cursor-target">The following sample script shows a sample actionable email&#160;with <strong>Approve</strong> or <strong>Reject</strong> buttons:<br /></p>
                        <div class="table-wrap">
                            <table class="wrapped confluenceTable">
                                <colgroup>
                                    <col />
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <td class="confluenceTd"><pre xml:space="preserve">&lt;p&gt;Dear ${assignee.firstname} ${assignee.lastname},&lt;br /&gt;&lt;br /&gt; You are receiving this email because you are either a Manager for ${user.firstname} ${user.lastname} or you are a designated approver for access to ${endpoints}.&lt;br /&gt;&lt;br /&gt; Access has been requested for &lt;strong&gt;${user.firstname} ${user.lastname}&lt;/strong&gt; to the application(s) and entitlements (roles) listed below. &lt;br /&gt;&lt;br /&gt; Account Name - &lt;strong&gt;${<a href="http://accounts.name/" class="external-link" rel="nofollow">accounts.name</a>}&lt;/strong&gt;. &lt;br /&gt;&lt;br /&gt;Your approval or Rejection of this access request is &lt;strong&gt;&lt;u&gt;required&lt;/u&gt;&lt;/strong&gt; before the request can move forward. Please consider whether this access is appropriate and Approve or Reject the request using one of the buttons below, or by logging in to &lt;a href="<a href="https://ssm.saviyntcloud.com/ECM" class="external-link" rel="nofollow">https://ssm.saviyntcloud.com/ECM</a>"&gt;EIC&lt;/a&gt;. &lt;br /&gt;&lt;br /&gt; Note: If no action is taken on this request, it will be escalated to your line manager for action after 3 days.&lt;br /&gt;&lt;br /&gt; Request ID: ${requestid}&lt;br /&gt; Request Type: ${requesttype}&lt;br /&gt;&lt;br /&gt;&lt;/p&gt;<br /> &lt;table border="1" cellspacing="0" cellpadding="0"&gt;<br />&lt;tbody&gt; <br />&lt;tr&gt; <br />&lt;th&gt;Application&lt;/th&gt; <br />&lt;th&gt;Entitlement(s)&lt;/th&gt;<br />&lt;th&gt;Description&lt;/th&gt;<br />&lt;th&gt;Glossary&lt;/th&gt; <br />&lt;/tr&gt; <br />&lt;/tbody&gt; <br />&lt;/table&gt; <br />&lt;p&gt;${entitlementshtmltablerows}&lt;/p&gt;<br />&lt;p&gt;&lt;br /&gt;&lt;br /&gt; &lt;a style="font-size: 16px; font-family: HelveticaArialsans-serif; color: #ffffff; text-decoration: none; border-radius: 3px; -webkit-border-radius: 3px; -moz-border-radius: 3px; background-color: #009900; border-top: 12px solid #009900; border-bottom: 12px solid #009900; border-right: 18px solid #009900; border-left: 18px solid #009900; display: inline-block;" href="mailto:saviynt_support@<a href="http://saviynt.com?subject=ARS_$" class="external-link" rel="nofollow">saviynt.com?subject=ARS_$</a>{<a href="http://request.id/" class="external-link" rel="nofollow">request.id</a>}APPROVED${request.uuid}" target="blank" rel="noopener"&gt;Approve&lt;/a&gt; OR &lt;a style="font-size: 16px; font-family: HelveticaArialsans-serif; color: #ffffff; text-decoration: none; border-radius: 3px; -webkit-border-radius: 3px; -moz-border-radius: 3px; background-color: #ff0000; border-top: 12px solid #FF0000; border-bottom: 12px solid #FF0000; border-right: 18px solid #FF0000; border-left: 18px solid #FF0000; display: inline-block;" href="mailto:saviynt_support@<a href="http://saviynt.com?subject=ARS" class="external-link" rel="nofollow">saviynt.com?subject=ARS</a>${<a href="http://request.id/" class="external-link" rel="nofollow">request.id</a>}REJECT${request.uuid}" target="_blank" rel="noopener"&gt;Reject&lt;/a&gt; &lt;br /&gt;&lt;br /&gt; If you would like to see more information about this request (status, additional information, Segregation of Duty checks), you can log-in to &lt;a href="<a href="https://ssm.saviyntcloud.com/ECM" class="external-link" rel="nofollow">https://ssm.saviyntcloud.com/ECM</a>"&gt;EIC&lt;/a&gt; and go to the "Request Approval" tile to approve or reject the request. &lt;br /&gt;&lt;br /&gt; If you need to approve or reject a portion of the requested access, you can do this through the "Request Approval" tile by searching on the Request ID number provided above.&lt;br /&gt;&lt;br /&gt; Regards,&lt;br /&gt; Enterprise Access Management &lt;br /&gt;&lt;br /&gt; Please do not reply to this e-mail as it is not monitored. If you have additional questions related to:&lt;/p&gt; <br />&lt;ul&gt;<br />&lt;li&gt;The APPLICATION, please e-mail your application support desk.&lt;/li&gt;<br />&lt;li&gt;The &lt;a title="Link: <a href="https://ssm.saviyntcloud.com/" class="external-link" rel="nofollow">https://ssm.saviyntcloud.com/</a>" href="<a href="https://ssm.saviyntcloud.com/" class="external-link" rel="nofollow">https://ssm.saviyntcloud.com/</a>" target="" rel=""&gt;EIC&lt;/a&gt; tool, please contact &lt;a title="Support Desk Email" href="mailto:saviynt_support@<a href="http://saviynt.com" class="external-link" rel="nofollow">saviynt.com</a>" rel=""&gt;saviynt_support@<a href="http://saviynt.com" class="external-link" rel="nofollow">saviynt.com</a>&lt;/a&gt;.&lt;/li&gt; <br />&lt;/ul&gt;</pre>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <p>The following figure shows a sample actionable email with Approve or Reject buttons.</p>
                        <p>
                            <img src="../Resources/Images/Sample Actionable Email.png" />
                        </p>
                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                            <p class="note">Only the approver can take Approve or Reject action in an actionable email. That is, the approver cannot delegate the actionable email to another user. This is because IGA verifies the sender's email while processing any incoming emails and if the sender's email does not match the approver's email, then it is not processed for further action. Also, the corresponding email contents such as HTML tags in an HTML-based email response or error logs are also captured in the Request History comments.</p>
                            <p class="note">Configure the same string, that is configured in the "Email Body Delimiter". So, when the approver clicks on Approve or Reject from the approval mail, IGA will parse the email content and ignore the text after the delimiter, before saving the content in request comment. For more information about configuring Outbox mail settings, see <MadCap:xref href="../Chapter06-Configuring-EIC/Outbox-Mail-Settings.htm">Outbox Mail Settings</MadCap:xref>.</p>
                        </div>
                    </li>
                </ul>
            </li>
        </ul>
        <h3 id="ConfiguringActionableEmailsforRequestApprovals-ExecutingtheEmailBasedApprovalJob">Executing the&#160;Email Based Approval&#160;Job</h3>
        <p>IGA uses the content of an actionable email to determine future actions. To read the emails from the Outbox,&#160;you&#160;should&#160;run the&#160;<strong>Email Based Approval&#160;</strong>job&#160;from&#160;<strong>Admin &gt;&#160;Job Control Panel &gt; Utility</strong>.&#160;</p>
        <p>Based on the subject line of the actionable email, IGA determines which request has been approved or rejected and it completes the request accordingly. The next task is created depending&#160;on the action performed within the email.&#160;For more information about&#160;Email Based Approval&#160;Job, see <MadCap:xref href="../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Categories-for-Old-Job-Control-Panel.htm#JobCategoriesforOldJobControlPanel-Utility">Job Categories for Old Job Control Panel</MadCap:xref> (Old Job Control Panel) or see <MadCap:xref href="../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Categories-for-Flat-Job-Control-Panel.htm#JobCategoriesforFlatJobControlPanel-Utility">Job Categories for Flat Job Control Panel </MadCap:xref> (Flat Job Control Panel).</p>
    </body>
</html>